/*
 * This file is part of Direction, which is an AI Library for OpenTTD
 * Copyright (C) 2010  Leif Linse
 *
 * Direction is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * Direction is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Direction; If not, see <http://www.gnu.org/licenses/> or
 * write to the Free Software Foundation, Inc., 51 Franklin Street, 
 * Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

class Direction extends AILibrary {
	function GetAuthor()      { return "Zuu aka Leif Linse"; }
	function GetName()        { return "Direction"; }
	function GetShortName()   { return "DIR_"; }
	function GetDescription() { return "Direction utility class for Zuu's AIs"; }
	function GetVersion()     { return 1; }
	function GetDate()        { return "2010-03-07"; }
	function CreateInstance() { return "Direction"; }
	function GetCategory()    { return "Util"; }
}

RegisterLibrary(Direction());
